<template>
  <div class="app">
    <vue-headful
            title="HackaMarket | Registro"
            description="Descripción página Register"
        />
        
      <section>

      <h1>Regístrate</h1>
      <h2>en Hack&Market</h2>
      <div class="container">

        <input type="text" v-model="nombre" placeholder="Nombre">
        <br>
        <input type="text" v-model="usuario" placeholder="Usuario">
        <br>
        <input type="text" v-model="email" placeholder="Email">
        <br>
        <input type="text" v-model="password" placeholder="Contraseña">
        <br>
        <input type="text" v-model="foto" placeholder="Imagen de perfil">
        <br>
        <button @click="addNote()" class="button">Crear nota</button>  

      </div> 
      </section>
  </div>
</template>

<script>
import axios from 'axios';  // importamos axios
import Swal from 'sweetalert2'; // importamos librería sweetalert2 para los modales

export default {
  name: 'Registrar',
  // INICIO data
  data(){
    return{
      nombre:'',
      usuario:'',
      email:'',
      password:'',
      foto:''
    }
  },
  // FIN DATA
  // INICIO METHODS
  methods:{
  addNote(){
        var self = this;
        axios.post('http://localhost:3050/registro', {

          //aquí se insertan los parametros que la api está esperando
          nombre: self.nombre,
          usuario: self.usuario,
          email: self.email,
          password: self.password,
          foto: self.foto
        })
        .then(function (response) {
          console.log(response)
        })
        .catch(function (error) {
          console.log(error)
        })
        Swal.fire('Perfecto!', 'Tus datos se han registrado correctamente!', 'success')
      },

  }
  // FIN METHODS
}
</script>
<style scoped>
* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}
 h1 {
   padding-top: var(--spacer100px);
   margin-bottom: var(--spacer25px);
   font-size: var(--size100px)
  }
  h2 {
    margin-top: 0px;
  }
  .container {
    margin-top:var(--spacer50px);
  }
 input{
        padding:8px;
        border:none;
        background-color: white;
        border-bottom:3px solid #263238;
        width:400px;
        margin-bottom: 25px;
    }
  button {
        background-color: orangered; 
        border: none;
        color: white;
        padding: 15px 32px;
        text-align: center;
        text-decoration: none;
        font-size: 16px;
        margin: 25px 2px;
        cursor: pointer;
    }
  .app {
  display: flex;
  flex-direction: column;
  min-height: calc( var(--size100vh) - 100px);
  background-color: var(--bg-white);
}

  @media only screen and (max-width: 425px){
        
      h1 {
        padding-top: var(--spacer200px);
        font-size: var(--size75px)

      }
    }
</style>
